Skip to main content
GET
/
connectors
/
{connectorId}
/
resources
Get Connector Resources
curl --request GET \
  --url https://production.runalloy.com/connectors/{connectorId}/resources \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-version: <x-api-version>'
import requests

url = "https://production.runalloy.com/connectors/{connectorId}/resources"

headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};

fetch('https://production.runalloy.com/connectors/{connectorId}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "resources": [
    {
      "name": "chat",
      "description": "Operations related to chat.",
      "actions": [
        {
          "id": "chat_postMessage",
          "name": "Post",
          "description": "Posts a message into a channel."
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string
default:2025-09
required

API version

x-alloy-userid
string

The ID of the user making the request; if not provided, the request will be made as the API Key user

Path Parameters

connectorId
string
required

Connector ID

Response

200 - application/json

List of resources

resources
object[]